Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.ocm
Class OCMsinkSupport.SubSinkSupport

    java.lang.Object
      |
      +--com.jxml.quick.ocm.OCMsinkSupport.SubSinkSupport

All Implemented Interfaces:
  OCMbase.SubBase, OCMsink.SubSink

Direct Known Subclasses:
  OCMcontextSupport.SubContextSupport, OCMtranscribe.SubTranscribe, OCMvalidatorSupport.SubValidatorSupport, Preferences.SubPreferences

Enclosing class:
  OCMsinkSupport

public class OCMsinkSupport.SubSinkSupport
extends Object
implements OCMsink.SubSink

A processing object spawned from an OCMsinkSupport object.

Field Summary
`ClassLoader` | `cl`
`String` | `docName` Document URL.
`QDoc` | `inputDoc` The input document to be processed.
`Map` | `properties` Properties from config.
`OCMsource.SubSource` | `subSource` The source of the input document.
`OCMvalidator.SubValidator` | `subValidator` The validator is applied prior to processing.

Constructor Summary
`OCMsinkSupport.SubSinkSupport(HashMap prior)`

Method Summary
`String` | `express()` Generate an XML document (or other text).
`void` | `express(PrintWriter pw)` Generate an XML document (or other text).
`void` | `expressFile()` Express an object tree as an XML document using the default encoding.
`protected QDoc` | `getInputDoc()` Returns the input document.
`QDoc` | `getInputSchemaDoc()` Gets the input schema doc.
`Map` | `getProperties()` Returns the config properties
`OCMsource.SubSource` | `getSubSource()` Returns the input source used by the sink.
`void` | `setDocName(String docName)` Sets the doc name.
`void` | `setInputDocName(Object inputName)` Sets the input doc name.
`void` | `setProperties(Map properties)` Sets the config properties

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cl

    public ClassLoader cl

### properties

    public Map properties

  Properties from config.

### subValidator

    public OCMvalidator.SubValidator subValidator

  The validator is applied prior to processing. May be null.

### subSource

    public OCMsource.SubSource subSource

  The source of the input document.

### docName

    public String docName

  Document URL.

### inputDoc

    public QDoc inputDoc

  The input document to be processed.

Constructor Detail

### OCMsinkSupport.SubSinkSupport

    public OCMsinkSupport.SubSinkSupport(HashMap prior)

Method Detail

### getSubSource

    public OCMsource.SubSource getSubSource()
                                     throws SAXException,
                                            IOException

  Description copied from interface: `OCMsink.SubSink`
  Returns the input source used by the sink.
  Specified by:
    `getSubSource` in interface `OCMsink.SubSink`

### getInputSchemaDoc

    public QDoc getInputSchemaDoc()
                           throws SAXException,
                                  IOException

  Description copied from interface: `OCMsink.SubSink`
  Gets the input schema doc.
  Specified by:
    `getInputSchemaDoc` in interface `OCMsink.SubSink`

### setInputDocName

    public void setInputDocName(Object inputName)
                         throws SAXException,
                                IOException

  Description copied from interface: `OCMsink.SubSink`
  Sets the input doc name.
  Specified by:
    `setInputDocName` in interface `OCMsink.SubSink`

### setDocName

    public void setDocName(String docName)
                    throws SAXException,
                           IOException

  Description copied from interface: `OCMsink.SubSink`
  Sets the doc name.
  Specified by:
    `setDocName` in interface `OCMsink.SubSink`

### expressFile

    public void expressFile()
                     throws SAXException,
                            IOException

  Description copied from interface: `OCMsink.SubSink`
  Express an object tree as an XML document using the default encoding.
  Specified by:
    `expressFile` in interface `OCMsink.SubSink`
  Following copied from interface: `com.jxml.quick.ocm.OCMsink.SubSink`
  Parameters:
    `filename` - File name of the new XML document.

### express

    public String express()
                   throws SAXException,
                          IOException

  Description copied from interface: `OCMsink.SubSink`
  Generate an XML document (or other text).
  Specified by:
    `express` in interface `OCMsink.SubSink`
  Following copied from interface: `com.jxml.quick.ocm.OCMsink.SubSink`
  Returns:
    The XML representation

### express

    public void express(PrintWriter pw)
                 throws SAXException,
                        IOException

  Description copied from interface: `OCMsink.SubSink`
  Generate an XML document (or other text).
  Specified by:
    `express` in interface `OCMsink.SubSink`
  Following copied from interface: `com.jxml.quick.ocm.OCMsink.SubSink`
  Parameters:
    `PW` - PrintWriter where the XML document is to be written.

### getInputDoc

    protected QDoc getInputDoc()
                        throws SAXException,
                               IOException

  Returns the input document.

### getProperties

    public Map getProperties()

  Returns the config properties

### setProperties

    public void setProperties(Map properties)

  Sets the config properties

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD